DeviceUseStatement read

get/DeviceUseStatement/{id}
Page View

This resource stores information about a device that a patient uses or has used, as reported by the patient, a care provider, or a related person. Device use statements may indicate an implanted device (e.g., a pacemaker or cochlear implant) or an external device the patient uses at home (e.g., a hearing aid or CPAP machine).

read

Review a specific DeviceUseStatement resource with details about a device a patient uses, including the reason for its use, the related body site, and the date range of when they used it.

FHIR read

To use a read interaction, you must know the related resource ID, which you may not have in your real workflows. A read is likely only a follow-up option after receiving the specific resource in a recent FHIR® passthrough or data on demand exchange.

Typically, you should use the more flexible _search with query parameters, unless you're guaranteed to request data directly from a FHIR® server using the resource ID. Learn more about using FHIR® identifiers.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DeviceUseStatement/{id}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Request Parameters

  • id
    required, string

    DeviceUseStatement identifier

Response fields and example

Example Device Use Statement
json
1
{}

    A profile on the DeviceUseStatement resource that conforms to Redox requirements. Represents a record of a device being used by a patient, as reported by the patient, a practitioner, or a related person.

  • resourceType
    required, string

    Identifies the type of the resource

    Value: DeviceUseStatement
  • status
    required, string

    A code representing the patient or other source's judgment about the state of the device used that this statement is about. Generally this will be active or completed.

    Possible Values: active, completed, entered-in-error +
  • subject
    required, object

    The patient who used the device.

    Must be a resource of type Patient.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • device
    required, object

    The details of the device used.

    Must be a resource of type Device.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • id
    string

    The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

  • identifier
    Array of object

    An external identifier for this statement such as an IRI.

    • extension
      Array of Boolean, String, CodeableConcept, Coding

      May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.

      • url
        required, string

        Source of the definition for the extension code - a logical name or a URL.

      • valueBoolean
        boolean

        A single value for the extension.

    • use
      string

      The purpose of this identifier.

      Possible Values: usual, official, temp, secondary, old (If known)
    • system
      string

      Establishes the namespace for the value - that is, a URL that describes a set values that are unique.

    • value
      string

      The portion of the identifier typically relevant to the user and which is unique within the context of the system.

  • basedOn
    Array of object

    A plan, proposal or order that is fulfilled in whole or in part by this DeviceUseStatement.

    Must be a resource of type ServiceRequest.

    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • recordedOn
    string

    The time at which the statement was made/recorded.

  • source
    object

    Who reported the device was being used by the patient.

    Must reference one of the following types of resources:

    • Patient
    • Practitioner
    • PractitionerRole
    • RelatedPerson
    • reference
      string

      A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

  • reasonCode
    Array of object

    Reason or justification for the use of the device.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • bodySite
    object

    Indicates the anotomic location on the subject's body where the device was used ( i.e. the target).

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • note
    Array of object

    Details about the device statement that were not represented at all or sufficiently in one of the attributes provided in a class. These may include for example a comment, an instruction, or a note associated with the statement.

    • text
      required, string

      The text of the annotation in markdown format.

  • timingPeriod
    object

    How often the device was used.

    Only one of timingPeriod, timingDateTime may be present.

    • start
      string

      The start of the period. The boundary is inclusive.

    • end
      string

      The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.

  • timingDateTime
    string

    How often the device was used.

    Only one of timingPeriod, timingDateTime may be present.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.